Subject: bug#64643: closed (Re: [bug#64643] [PATCH] gnu: ghc-8.10: Fix build on i686-linux.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 17 Jul 2023 13:01:02 +0000

Your bug report

#64643: [PATCH] gnu: ghc-8.10: Fix build on i686-linux.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64643: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64643
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#64643] [PATCH] gnu: ghc-8.10: Fix build on i686-linux.
From: Christopher Baines <[email-masked]>
To: Lars-Dominik Braun <[email-masked]>
Cc: [email-masked]
Date: Mon, 17 Jul 2023 13:58:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Lars-Dominik Braun <[email-masked]> writes:

> Hi,
>
>> Yep, you can click the "View build on https://bordeaux.guix.gnu.org"
>> links from this page [1] to find the build logs for all the failing
>> builds.
>>
>> 1: https://data.qa.guix.gnu.org/gnu/store/sp4csvzxjzzjhmyp7sfdxg3ypqpysh2a-ghc-8.10.7.drv
>
> huh, a segfault. Weird. Perhaps it’s running out of address space.
>
>> And yes, this patch only affects i686-linux as confirmed by [2].
>
> Ah, you’re right. I missed this patch context:
>
>>           #$@(if (string-prefix? "i686" (or (%current-target-system)
>>                                             (%current-system)))
>
> Looks good to me then!

Great, I've pushed this to master as
ad08f9331fee7a8e71e94b02f86f54ab3e1001a8.

There's ~2000 affected packages, but I think this is OK since at least
for the bordeaux build farm, these packages are being unblocked rather
than rebuilt, and for ci, it'll take no time at all to catch up.

Subject: [PATCH] gnu: ghc-8.10: Fix build on i686-linux.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Sat, 15 Jul 2023 10:39:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

As one profiling test fails very repeatedly on the bordeaux build farm, but
ghc did seem to build successfully on other machines.

* gnu/packages/haskell.scm (ghc-8.10)[arguments]: Don't run the T11627a
profiling test on i686-linux.
---
 gnu/packages/haskell.scm | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/haskell.scm b/gnu/packages/haskell.scm
index 6b2c86fec4..62815efbb1 100644
--- a/gnu/packages/haskell.scm
+++ b/gnu/packages/haskell.scm
@@ -1271,8 +1271,11 @@ (define-public ghc-8.10
            ;; next rebuild. Note that they are required for GHC 8.10 and 9.2.
            #$@(if (string-prefix? "i686" (or (%current-target-system)
                                              (%current-system)))
-               #~((add-after 'skip-failing-tests-i686 'skip-failing-tests-i686-cuirass
+               #~((add-after 'skip-failing-tests-i686 'skip-more-failing-tests-i686
                     (lambda _
+                      (substitute* '("testsuite/tests/profiling/should_run/all.T")
+                        (("test\\('T11627a', \\[ ")
+                         "test('T11627a', [ when(arch('i386'), skip), "))
                       (substitute* '("testsuite/driver/testlib.py")
                         ((".*changes being made to the file will invalidate the code signature.*")
                          "")

base-commit: b5a5e4d712d0a1998995be62bb41b03955b7dcf1
prerequisite-patch-id: 3297b62c093009d94f43908e88dfc50a53ccbeac
-- 
2.41.0